package de.ozgcloud.eingang.xta;

import java.time.ZonedDateTime;

import de.ozgcloud.xta.client.model.XtaMessageStatus;
import de.ozgcloud.xta.client.model.XtaTransportReport;

public class XtaTransportReportTestFactory {


	public static XtaTransportReport create() {
		return createBuilder()
				.build();
	}

	public static XtaTransportReport.XtaTransportReportBuilder createBuilder() {
		return XtaTransportReport.builder()
				.metaData(XtaMessageMetaDataTestFactory.create())
				.reportTime(ZonedDateTime.now())
				.status(XtaMessageStatus.GREEN);
	}
}
